/****************************************************************************

 Copyright (c) 1999 Gilles Farrache In2p3 Computing Center
 All rights reserved.
  
  
 reply.c v 0.0.0  1999/11/24
		 v 1.6.1  2000/03/28	- Portage to OSF1
		 						- use writemessage routine
 		 v 1.8.7  2000/05/24	- Modify headers
 		 v 1.8.10 2000/08/11	- Portage to Linux
		 v 1.9.0  2000/08/24	- Use configure to help port

*****************************************************************************/
#include <sys/socket.h>
#include <netinet/in.h>
#include <syslog.h>
#include <errno.h>

#include <bbftpd.h>
#include <common.h>
#include <structures.h>

extern int msgsock ;

void reply(int n, char *str)
{
	struct message	*mess ;
	int	lentosend ;
	char buf[MINMESSLEN] ;
	
	mess = (struct message *) buf ;
	mess->code = n ;
#ifndef WORDS_BIGENDIAN
	mess->msglen = ntohl(strlen(str)) ;
#else
	mess->msglen = strlen(str) ;
#endif
	if ( writemessage(msgsock,buf,MINMESSLEN,SENDCONTROLTO) < 0 ) {
		syslog(LOG_ERR,"Error on reply") ;
		clean_child() ;
		exit(1) ;
	}
	lentosend = strlen(str) ;
	if ( writemessage(msgsock,str,lentosend,SENDCONTROLTO) < 0 ) {
		syslog(LOG_ERR,"Error on reply") ;
		clean_child() ;
		exit(1) ;
	}
}
