/****************************************************************************

 Copyright (c) 1999 Gilles Farrache In2p3 Computing Center
 All rights reserved.
  
  
 set_father_signals.c v 0.0 1999/11/24
 
*****************************************************************************/
#include <signal.h>
#include <syslog.h>

int set_father_signals() {
	struct	sigaction	sga ;

	sga.sa_handler= SIG_IGN ;
	sigemptyset(&(sga.sa_mask));
	sga.sa_flags = 0   ;
	if ( sigaction(SIGABRT,&sga,0) < 0 ) {
		syslog(LOG_ERR,"Error sigaction SIGABRT : %m ") ;
		return(-1) ;
	}
	if ( sigaction(SIGALRM,&sga,0) < 0 ) {
		syslog(LOG_ERR,"Error sigaction SIGALRM : %m") ;
		return(-1) ;
	}
	if ( sigaction(SIGHUP,&sga,0) < 0 ) {
		syslog(LOG_ERR,"Error sigaction SIGHUP : %m ") ;
		return(-1) ;
	}
	if ( sigaction(SIGINT,&sga,0) < 0 ) {
		syslog(LOG_ERR,"Error sigaction SIGINT : %m ") ;
		return(-1) ;
	}
	if ( sigaction(SIGPIPE,&sga,0) < 0 ) {
		syslog(LOG_ERR,"Error sigaction SIGPIPE : %m ") ;
		return(-1) ;
	}
	if ( sigaction(SIGQUIT,&sga,0) < 0 ) {
		syslog(LOG_ERR,"Error sigaction SIGQUIT : %m ") ;
		return(-1) ;
	}
	if ( sigaction(SIGTERM,&sga,0) < 0 ) {
		syslog(LOG_ERR,"Error sigaction SIGTERM : %m ") ;
		return(-1) ;
	}
	if ( sigaction(SIGUSR1,&sga,0) < 0 ) {
		syslog(LOG_ERR,"Error sigaction SIGUSR1 : %m ") ;
		return(-1) ;
	}
	if ( sigaction(SIGUSR2,&sga,0) < 0 ) {
		syslog(LOG_ERR,"Error sigaction SIGUSR2 : %m ") ;
		return(-1) ;
	}
	if ( sigaction(SIGCHLD,&sga,0) < 0 ) {
		syslog(LOG_ERR,"Error sigaction SIGCHLD : %m ") ;
		return(-1) ;
	}
	if ( sigaction(SIGTSTP,&sga,0) < 0 ) {
		syslog(LOG_ERR,"Error sigaction SIGTSTP : %m ") ;
		return(-1) ;
	}
	if ( sigaction(SIGPOLL,&sga,0) < 0 ) {
		syslog(LOG_ERR,"Error sigaction SIGPOLL : %m ") ;
		return(-1) ;
	}
	if ( sigaction(SIGPROF,&sga,0) < 0 ) {
		syslog(LOG_ERR,"Error sigaction SIGPROF : %m ") ;
		return(-1) ;
	}
	if ( sigaction(SIGURG,&sga,0) < 0 ) {
		syslog(LOG_ERR,"Error sigaction SIGURG : %m ") ;
		return(-1) ;
	}
	if ( sigaction(SIGVTALRM,&sga,0) < 0 ) {
		syslog(LOG_ERR,"Error sigaction SIGVTALRM : %m ") ;
		return(-1) ;
	}
	return 0 ;
}
