/****************************************************************************

 Copyright (c) 1999 Gilles Farrache In2p3 Computing Center
 All rights reserved.
  
 
 This header contains all parameters that are user configurable
 
 config.h v 1.8.7 2000/05/23  - Header creation

*****************************************************************************/

/* CONTROLPORT :
**		That is the port the server is listening on, the default port
**		for that application is 4021 which allow the daemon to be run by
**		user. This port is also used by the client in order to connect to
**		the server
**		Default 4021
**		Used by the server and the client
*/
#define CONTROLPORT 4021

/* DAEMONMODE :
**		That is the way the daemon is going to be run.
**		0 means run by inetd (that can be done trought a wrapper)
**		2 means running in background (run (by root or a user) as bbftpd)
**		Default 0
**		Used by the server
*/
#define DAEMONMODE	0

/* AFS :
**		Define if the authentication is using AFS. Uncomment those lines
**		if you want to use AFS
**		Used by the server
*/
/*
#define AFS 1
*/
/* RFIO :
**		Define if you want to use RFIO. Uncomment those lines if you do 
**		want use RFIO
**		Used by the server and the client
*/
/*
#define RFIO 1
*/
